Skip to main content
GET
/
v1
/
creators
/
autocomplete
JavaScript
import Influship from 'influship';

const client = new Influship({
  apiKey: process.env['INFLUSHIP_API_KEY'], // This is the default and can be omitted
});

const response = await client.creators.autocomplete({ q: 'fitness' });

console.log(response.data);
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Jane Fitness",
      "avatar": "https://cdn.example.com/avatars/jane.jpg",
      "platforms": [
        {
          "platform": "instagram",
          "username": "fitness_coach_jane",
          "display_name": "Jane Fitness",
          "match_type": "username",
          "match_field": "fitness_coach_jane"
        }
      ]
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Query Parameters

q
string
required

Search query (min 2 characters)

Required string length: 2 - 100
Example:

"fitness"

platform
enum<string>

Filter by platform

Available options:
instagram
Example:

"instagram"

limit
integer
default:5

Maximum results to return

Required range: 1 <= x <= 50
Example:

5

scope
enum<string>
default:all_platforms

Which platforms to include in results

Available options:
creator_only,
matched_platforms,
all_platforms
Example:

"all_platforms"

Response

Successful response

data
object[]
required

Autocomplete results